Subject: Re: [PATCH 2/4][RFC] lro: Kconfig and Makefile

From: Jeff Garzik <[email-masked]>
Date: Mon, 30 Jul 2007 12:36:19 -0400

Stephen Hemminger wrote:
> Why make this a user selectable option at all? Unless you want
> to deal with out of tree drivers (not my problem), it should be hidden
> to avoid having to explain an support it.

In this case it's an optional library kernel module.  That seems to be a 
common setup for library modules.  We do the same with CONFIG_MII and 
drivers/net/mii.ko as well.

Originally it was done purely in the Makefile, but that does not account 
for net drivers in sub-directories (or out of tree as you point out).

	Jeff